.include	b_bcmp.s
.include	b_bcopy.s
.include	b_bzero.s

e_ffs:
	lea	_ffs(opc),a0
	jbra	callc_i1

.include	b_index.s
.include	b_memccpy.s
.include	b_memchr.s
.include	b_memcmp.s
.include	b_memcpy.s
.include	b_memicmp.s
.include	b_memmove.s
.include	b_memset.s
.include	b_movedata.s
.include	b_movmem.s
.include	b_repmem.s
.include	b_rindex.s
.include	b_setmem.s
.include	b_swab.s
.include	b_swmem.s

e___basename:
e__basename:
	lea	__basename(opc),a0
	jbra	callc_i2

e_stcgfe_p:
e_stcgfe:
	lea	_stcgfe(opc),a0
	jbra	callc_i2

e_stcgfn_p:
e_stcgfn:
	lea	_stcgfn(opc),a0
	jbra	callc_i2

e_stpcpy_p:
e_stpcpy:
	lea	_stpcpy(opc),a0
	jbra	callc_i2

e_strbpl_p:
	lea	_strbpl(opc),a0
	jbra	callc_i3

e__strcasecmp:
e__strcmpi:
e__stricmp:
e_strcasecmp:
e_strcmpi:
e_stricmp:
	lea	_stricmp(opc),a0
	jbra	callc_i2

e__strcat:
e_strcat:
	lea	_strcat(opc),a0
	jbra	callc_i2

e__strchr:
	lea	_strchr(opc),a0
	jbra	callc_i2

.include	b_strchr.s

e__strcmp:
e_strcmp:
	lea	_strcmp(opc),a0
	jbra	callc_i2

e__strcoll:
e_strcoll:
	lea	_strcoll(opc),a0
	jbra	callc_i2

e__strcpy:
e_strcpy:
	lea	_strcpy(opc),a0
	jbra	callc_i2

e__strcspn:
e_strcspn:
	lea	_strcspn(opc),a0
	jbra	callc_i2

e_strdup_p:
	move.l	par1i(sp),-(sp)
	jbsr	_strlen
	addq.l	#1,d0
	move.l	d0,-(sp)
	jbsr	_malloc
	move.l	d0,(sp)
	bne	@f
	addq.l	#8,sp
	rif	d0,#ENOMEM,__strdup_enomem_mes
@@:	jbsr	_strcpy
	addq.l	#8,sp
	ric	d0

e__strerror:
e_strerror:
	lea	_strerror(opc),a0
	jbra	callc_i1

e_strins:
e_strins_p:
	move.l	par2i(sp),-(sp)
	move.l	4+par1i(sp),-(sp)
	jbsr	_strins
	addq.l	#8,sp
	rvc

e__strlen:
e_strlen:
	lea	_strlen(opc),a0
	jbra	callc_i1

e__strlwr:
e_strlwr:
	lea	_strlwr(opc),a0
	jbra	callc_i1

e_strmfe_p:
e_strmfe:
	move.l	par3i(sp),-(sp)
	move.l	4+par2i(sp),-(sp)
	move.l	8+par1i(sp),-(sp)
	jbsr	_strmfe
	lea	12(sp),sp
	rvc

e_strmfn_p:
e_strmfn:
	move.l	par5i(sp),-(sp)
	move.l	4+par4i(sp),-(sp)
	move.l	8+par3i(sp),-(sp)
	move.l	12+par2i(sp),-(sp)
	move.l	16+par1i(sp),-(sp)
	jbsr	_strmfn
	lea	20(sp),sp
	rvc

e_strmfp_p:
e_strmfp:
	move.l	par3i(sp),-(sp)
	move.l	4+par2i(sp),-(sp)
	move.l	8+par1i(sp),-(sp)
	jbsr	_strmfp
	lea	12(sp),sp
	rvc

e_strncasecmp_p:
e_strnicmp_p:
e_strncasecmp:
e_strnicmp:
	lea	_strnicmp(opc),a0
	jbra	callc_i3

e__strncat:
e_strncat:
	lea	_strncat(opc),a0
	jbra	callc_i3

e__strncmp:
e_strncmp:
	lea	_strncmp(opc),a0
	jbra	callc_i3

e__strncpy:
e_strncpy:
	lea	_strncpy(opc),a0
	jbra	callc_i3

e__strnset:
e_strnset:
	lea	_strnset(opc),a0
	jbra	callc_i3

e__strpbrk:
	lea	_strpbrk(opc),a0
	jbra	callc_i2

.include	b_strpbrk.s

e__strrchr:
	lea	_strrchr(opc),a0
	jbra	callc_i2

.include	b_strrchr.s

e__strrev:
e_strrev:
	lea	_strrev(opc),a0
	jbra	callc_i1

e__strset:
e_strset:
	lea	_strset(opc),a0
	jbra	callc_i2

e_strsfn_p:
e_strsfn:
	move.l	par5i(sp),-(sp)
	move.l	4+par4i(sp),-(sp)
	move.l	8+par3i(sp),-(sp)
	move.l	12+par2i(sp),-(sp)
	move.l	16+par1i(sp),-(sp)
	jbsr	_strsfn
	lea	20(sp),sp
	rvc

e__strspn:
e_strspn:
	lea	_strspn(opc),a0
	jbra	callc_i2

e_strsrt_p:
	move.l	par2i(sp),-(sp)
	move.l	4+par1i(sp),-(sp)
	jbsr	_strsrt
	addq.l	#8,sp
	rvc

e_strstr_p:
	lea	_strstr(opc),a0
	jbra	callc_i2

.include	b_strstr.s
.include	b__strtok.s
.include	b_strtok.s
.include	b__strtok2.s
.include	b_strtok2.s

e__strupr:
e_strupr:
	lea	_strupr(opc),a0
	jbra	callc_i1

e__strxfrm:
e_strxfrm:
	lea	_strxfrm(opc),a0
	jbra	callc_i3

e_mblen:
	lea	_mblen(opc),a0
	jbra	callc_i2

e__mbstowcs:
e_mbstowcs:
	lea	_mbstowcs(opc),a0
	jbra	callc_i3

e__mbtowc:
e_mbtowc:
	lea	_mbtowc(opc),a0
	jbra	callc_i3

e__wcstombs:
e_wcstombs:
	lea	_wcstombs(opc),a0
	jbra	callc_i3

e__wctomb:
e_wctomb:
	lea	_wctomb(opc),a0
	jbra	callc_i3
