/*
 *	include/libbcstring.h (for LIBBC v0.10)
 *  In Public Domain.	(2000.10.30(Mon) mor)
 */

#ifndef __libbcstring_h__
#define __libbcstring_h__

#ifndef ___libbc_h__
#include <_libbc.h>
#endif

#ifndef __string_h__

#ifdef __NO_STRING_INLINE__
#undef __NO_STRING_INLINE__
#endif

#include <string.h>
#endif

#ifndef __errno_h__
#include <errno.h>
#endif

/* obt@֐ */
_EXTERN (int_ _libbc_bcmp (int_, int_, int_));
_EXTERN (int_ _libbc_bcopy (int_, int_, int_));
_EXTERN (int_ _libbc_bzero (int_, int_));
_EXTERN (int_ _libbc_index (int_, unsigned char));
_EXTERN (int_ _libbc_memccpy (int_, int_, unsigned char, int_));
_EXTERN (int_ _libbc_memchr (int_, unsigned char, int_));
_EXTERN (int_ _libbc_memcmp (int_, int_, int_));
_EXTERN (int_ _libbc_memicmp (int_, int_, int_));
_EXTERN (int_ _libbc_memcmpi (int_, int_, int_));
_EXTERN (void _libbc_repmem (int_, int_, int_, int_));
_EXTERN (int_ _libbc_rindex (int_, unsigned char));
_EXTERN (void _libbc_swab (int_, int_, int_));
_EXTERN (void _libbc_swmem (int_, int_, int_));

#define _libbc_movmem(a,b,c) _libbc_memmove ((b), (a), (c))
#define _libbc_movedata(a,b,c) _libbc_memcpy ((b), (a), (c))
#define _libbc_setmem(a,b,c) _libbc_memset ((a), (c), (b))
_EXTERN (int_ _libbc_memmove (int_, int_, int_));
_EXTERN (int_ _libbc_memcpy (int_, int_, int_));
_EXTERN (int_ _libbc_memset (int_, unsigned char, int_));

/* 񑀍֐ */
_EXTERN (int_ _libbc__strtok (int_, int_));
_EXTERN (int_ _libbc__strtok2 (int_, int_));

/* str^Ή֐ */
_EXTERN (int_ _libbc_strchr (const unsigned char *, unsigned char));
_EXTERN (int_ _libbc_strpbrk (const unsigned char *, const unsigned char *));
_EXTERN (int_ _libbc_strrchr (const unsigned char *, unsigned char));
_EXTERN (int_ _libbc_strstr (const unsigned char *, const unsigned char *));
_EXTERN (unsigned char *_libbc_strtok (const unsigned char *, const unsigned char *));
_EXTERN (unsigned char *_libbc_strtok2 (const unsigned char *, const unsigned char *));

#endif
