chkml:
	jbsr	_chkml
	ric	d0


sizmem:
	jbsr	_sizmem
	ric	d0


calloc:
	move.l	par2i(sp),-(sp)
	move.l	4+par1i(sp),-(sp)
	jbsr	_calloc
	addq.l	#8,sp
	tst.l	d0
	beq	_calloc_enomem
	bmi	_calloc_einval
	ric	d0
_calloc_enomem:
	rif	d0,#ENOMEM,_calloc_enomem_mes
_calloc_einval:
	rqf	0,#EINVAL,_calloc_einval_mes


malloc:
	move.l	par1i(sp),-(sp)
	jbsr	_malloc
	addq.l	#4,sp
	tst.l	d0
	beq	_malloc_enomem
	ric	d0
_malloc_enomem:
	rif	d0,#ENOMEM,_malloc_enomem_mes


free:
	moveq	#1,d0
	move.l	par1i(sp),-(sp)
	beq	@f
	jbsr	_free
@@:	addq.l	#4,sp
	tst.l	d0
	bne	_free_efault
	rvc
_free_efault:
	rvf	#EFAULT,_free_efault_mes


realloc:
	move.l	par2i(sp),-(sp)
	move.l	4+par1i(sp),-(sp)
	jbsr	_realloc
	addq.l	#8,sp
	tst.l	d0
	beq	_realloc_enomem
	bmi	_realloc_efault
	ric	d0
_realloc_enomem:
	rif	d0,#ENOMEM,_realloc_enomem_mes
_realloc_efault:
	rqf	0,#EFAULT,_realloc_efault_mes
